Package org.gradle.api.plugins.jvm

# Interface TestFixturesDependencyModifiers

All Known Subinterfaces:
  `JvmComponentDependencies`

@Incubating public interface TestFixturesDependencyModifiers
Dependency modifier APIs that can find test fixtures in other modules for `dependencies` blocks.

Since:
  8.0
API Note:
  This interface is intended to be used to mix-in methods that modify dependencies into the DSL.
Implementation Requirements:
  The default implementation of all methods should not be overridden.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `TestFixturesDependencyModifiers.TestFixturesDependencyModifier`
  Implementation for the test fixtures dependency modifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TestFixturesDependencyModifiers.TestFixturesDependencyModifier`
  `getTestFixtures()`
  A dependency modifier that can modify a dependency to select a test fixtures variant.

- ## Method Details

  - ### getTestFixtures

    TestFixturesDependencyModifiers.TestFixturesDependencyModifier getTestFixtures()
    A dependency modifier that can modify a dependency to select a test fixtures variant.
    Returns:
      the dependency modifier
    See Also:
      - `TestFixturesDependencyModifiers.TestFixturesDependencyModifier.modifyImplementation(ModuleDependency)`
    Implementation Requirements:
      Do not implement this method. Gradle generates the implementation automatically.